System 2.0.0.0 4.0.0.0 System.Enum

This enumeration specifies valid values for the property.

Specifies the algorithm used to create keys shared by the client and server.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Authentication.ExchangeAlgorithmType

  The Diffie Hellman ephemeral key exchange algorithm.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Authentication.ExchangeAlgorithmType

  No key exchange algorithm is used.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Authentication.ExchangeAlgorithmType

  The RSA public-key exchange algorithm.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Authentication.ExchangeAlgorithmType

  The RSA public-key signature algorithm.